/*
 * Copyright (c) 2009,
 * @author Mitsuharu Morisawa
 *
 * AIST
 *
 * All rights reserved.
 *
 * This program is made available under the terms of the Eclipse Public License
 * v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
#ifndef __MTIME_H__
#define __MTIME_H__

#include <vector>
#include <sys/time.h>

using namespace std;

class MeasureExecTime{
  bool flg_firsttime_exectime;
  struct timeval tv;  // to measure time of execution
  
 public:
  vector<double> execT;
  vector<double> execT_max;
  
  MeasureExecTime();
  ~MeasureExecTime();
  
  void clearExecTime(void);
  void initExecTime(void);
  void pushExecTime(void);
  void calcExecTime(void);
};

#endif // #ifndef __MTIME_H__

