/*
 * Copyright (c) 2009,
 * @author Mitsuharu Morisawa
 *
 * AIST
 *
 * All rights reserved.
 *
 * This program is made available under the terms of the Eclipse Public License
 * v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
#ifndef __MLINK_STATE__
#define __MLINK_STATE__

#include "hrpModelHeaders.h"
#include "mphysics.h"

using namespace OpenHRP;

enum{
  RIGHT_LEG,
  LEFT_LEG,
  WAIST_BODY
};

class State{
 public:
  vector3  P;
  vector3  V;
  vector3  Vdot;
  matrix33 R;
  vector3  R_rpy;
  vector3  W;
  vector3  Wdot;
  vector3  offset;
  
  State(void);
  virtual ~State();
  void Initialize(void);
  void Initialize(int leg, double foot_distance);
};

#endif // __MLINK_STATE__
